package versao2.persistencia;

/**
 * Fábrica para DAOs
 */
public abstract class DAOFactory {
  /**
   * Cria um DAO para Clientes
   *
   * @return ClienteDAO
   */
  public abstract ClienteDAO createClienteDAO();

  /**
   * Cria um DAO para Pedidos
   *
   * @return PedidoDAO
   */
  public abstract PedidoDAO createPedidoDAO();
}

